- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.CreateRecommendationLongRunningResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/createRecommendationLongRunning#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.createRecommendationLongRunning

Initiates an asynchronous request to generate a new AI recommendation for an alert. This is an asynchronous process that analyzes the alert context to provide tailored investigation or response suggestions.

### HTTP request

`POST https://{endpoint}/v1/{parent}:createRecommendationLongRunning`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The unique name(ID) of the CaseAlert. |

### Request body

The request body must be empty.

### Response body

Response message for caseAlerts.createRecommendationLongRunning.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "parent": string, "recommendationId": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Output only. The unique name(ID) of the CaseAlert. |
| `recommendationId` | `string` Required. The created recommendation id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseAlerts.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).